#!/usr/bin/env python

from distutils.core import setup
from glob import glob

setup(
    name="pylize",
    version="1.1b",
    description="On-Screen presentation generation tool",
    long_description="""
pylize is a Python script that generates a set of HTML files that
make up an on-screen presentation from a master file. The HTML files
can be viewed with any CSS-aware browser. The master file contains
the text for all the slides and some additional information like
title, author etc. pylize can also create a template master file for
you.
""",
    keywords="Presentation Slides HTML",
    author="Christopher Arndt",
    author_email="chris.arndt@web.de",
    url="http://www.chrisarndt.de/software/pylize/",
    licence="GPL",
    platforms='portable',
    scripts=['pylize'],
    data_files=[
      ('', ['lib/default.tmpl', 'lib/all.tmpl', 'lib/pylize.js',
        'lib/index.tmpl', 'lib/pylize.ini', 'lib/logo.png', 'lib/roman.py']),
      ('css', glob('lib/css/*.css')),
      ('icons', glob('lib/icons/*.gif'))
    ]
)
